"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configGet = configGet;
const lodash_kebabcase_1 = __importDefault(require("lodash.kebabcase"));
const run_npm_1 = require("@pnpm/run-npm");
const configSet_1 = require("./configSet");
function configGet(opts, key) {
    if (opts.global && (0, configSet_1.settingShouldFallBackToNpm)(key)) {
        const { status: exitCode } = (0, run_npm_1.runNpm)(opts.npmPath, ['config', 'get', key]);
        return { output: '', exitCode: exitCode ?? 0 };
    }
    const config = opts.rawConfig[(0, lodash_kebabcase_1.default)(key)];
    return { output: Array.isArray(config) ? config.join(',') : String(config), exitCode: 0 };
}
//# sourceMappingURL=configGet.js.map